Skip to main content
Setup / Reference Data

Update an existing variant dealer discount

Update an exisiting channel This method requires the ReferenceData:Update permissions to be associated with your role.

PUT
/gb/setup/reference/data/qt_variant_dealer_discounts/{variant_dealer_discount_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
variant_dealer_discount_idstringrequired

Variant Dealer discount id to update

Body

application/json

JSON payload

client_idstring
Example: 123456
datestring
dealer_discount_type_idstring
Example: 123456
discountnumber
Example: 1234.56
supplier_idstring
Example: 123456
variant_idstring
Example: 123456

Response

application/vnd.catch-e-api.v1+json

Success

client_idstring
Example: 123456
datestring
dealer_discount_type_idstring
Example: 123456
discountnumber
Example: 1234.56
supplier_idstring
Example: 123456
variant_dealer_discount_idstring
Example: 123456
variant_idstring
Example: 123456